export default ({request}) => ({
  /**
   * @description 系统管理 公告管理
   * @param {Object} data 
   */
  // 查询列表数据
   getOrgAnnouncementPage(data) {
    return request({
      url: 'orgAnnouncement/authority/getOrgAnnouncementPage',
      method: 'post',
      data
    })
  },
  // 新增公告
  addOrgAnnouncement(data) {
    return request({
      url: 'orgAnnouncement/authority/save',
      method: 'post',
      data
    })
  },

  // 修改公告
  editOrgAnnouncement(data) {
    return request({
      url: 'orgAnnouncement/authority/update',
      method: 'post',
      data
    })
  },

  // 删除公告
  deleOrgAnnouncement( id ) {
    return request({
      url: `orgAnnouncement/authority/deleteById/${id}`,
      method: 'get',
      
    })
  },

})

